Package org.springframework.aop.target

# Class SimpleBeanTargetSource

java.lang.Object
org.springframework.aop.target.AbstractBeanFactoryBasedTargetSource
org.springframework.aop.target.SimpleBeanTargetSource

All Implemented Interfaces:
  `Serializable`, `TargetClassAware`, `TargetSource`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`

public class SimpleBeanTargetSource extends AbstractBeanFactoryBasedTargetSource
Simple `TargetSource` implementation, freshly obtaining the specified target bean from its containing Spring `BeanFactory`.

Can obtain any kind of target bean: singleton, scoped, or prototype. Typically used for scoped beans.

Since:
  2.0.3
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.springframework.aop.target.AbstractBeanFactoryBasedTargetSource

`logger`

## Constructor Summary

Constructors
Constructor
Description
`SimpleBeanTargetSource()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getTarget()`
Return a target instance.

### Methods inherited from class org.springframework.aop.target.AbstractBeanFactoryBasedTargetSource

`copyFrom, equals, getBeanFactory, getTargetBeanName, getTargetClass, hashCode, setBeanFactory, setTargetBeanName, setTargetClass, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.aop.TargetSource

`isStatic, releaseTarget`

## Constructor Details

### SimpleBeanTargetSource

public SimpleBeanTargetSource()

## Method Details

### getTarget

public Object getTarget() throws Exception
Description copied from interface: `TargetSource`
Return a target instance. Invoked immediately before the AOP framework calls the "target" of an AOP method invocation.

Returns:
  the target object which contains the joinpoint, or `null` if there is no actual target instance
Throws:
  `Exception` - if the target object can't be resolved